
Imports System.Xml
Imports System.IO

Public Class cMAVIGetMsgType



    Shared Function isTRNCTS_VersandanmeldungXML_CC015B(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("CC015B").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function



    Shared Function isTRNCTS_VersandanmeldungXML_CC015B_RES(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("CC015B_RES").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function


    Shared Function isTRNCTS_BestaetigungZollXML_CC029B(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("CC029B").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function


    Shared Function isTRNCTS_BestaetigungZollXML_ARR_INF(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("ARR_INF").Count > 0 Or doc.GetElementsByTagName("ARRINF").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function


    Shared Function isTRNCTS_BestaetigungZollXML_GUA_INF(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("GUA_INF").Count > 0 Or doc.GetElementsByTagName("GUAINF").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function



    Shared Function isTRNCTS_ErledigungsmitteilungXML_CC045A(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("CC045A").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function

    Shared Function isTRNCTS_AbbruchXML_CC009A(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("CC009A").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function

    Shared Function isTRNCTS_RueckweisungXML_CC016A(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("CC016A").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function

    Shared Function isTRNCTS_KeineFreigabeXML_CC051B(doc As XmlDocument) As Boolean
        If doc.HasChildNodes Then
            If doc.GetElementsByTagName("CC051B").Count > 0 Then
                Return True
            End If
        End If
        Return False
    End Function


End Class
